Exploits Database by Offensive Security


Friday, October 1, 2010

How To Downgrade Fast-Track On Backtrack 4 R 1

If you are already upgraded your Fast-Track to version 4.0-r344-bt0, you will notice that this version will not have the menu for updating metasploit, aircrack-ng, etc like the older version. To downgrade Fast-Track, just follow these steps.

root@bt:/pentest/exploits/fasttrack# apt-get install fasttrack=4.0-r249-bt2
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be DOWNGRADED:
0 upgraded, 0 newly installed, 1 downgraded, 0 to remove and 30 not upgraded.
Need to get 409kB of archives.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://archive.offensive-security.com pwnsauce/microverse fasttrack 4.0-r249-bt2 [409kB]
Fetched 409kB in 21s (19.4kB/s)
dpkg - warning: downgrading fasttrack from 4.0-r344-bt0 to 4.0-r249-bt2.
(Reading database ... 248128 files and directories currently installed.)
Preparing to replace fasttrack 4.0-r344-bt0 (using .../fasttrack_4.0-r249-bt2_all.deb) ...
Unpacking replacement fasttrack ...
Setting up fasttrack (4.0-r249-bt2) ...

Fast-Track Updates

Enter a number to update

1. Update Fast-Track
2. Metasploit 3 Update
3. Aircrack-NG Update
4. Nikto Plugin Update
5. W3AF Update
6. SQLMap Update
7. Installation Menu
8. Update Exploit-DB Exploits
9. Update Kismet-Newcore
10. Update Gerix Wifi Cracker NG
11. Update Social-Engineer Toolkt
12. Update Everything
13. Return to Main Menu

Now you can have the update everything menu again.

No comments:

Post a Comment